> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Code Scorer Log Record

> Validate a code scorer using actual log records.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/scorers/code/validate/log_record
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/code/validate/log_record:
    post:
      tags:
        - data
        - prompts
        - rows
      summary: Validate Code Scorer Log Record
      description: Validate a code scorer using actual log records.
      operationId: validate_code_scorer_log_record_v2_scorers_code_validate_log_record_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_validate_code_scorer_log_record_v2_scorers_code_validate_log_record_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateScorerLogRecordResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    Body_validate_code_scorer_log_record_v2_scorers_code_validate_log_record_post:
      properties:
        file:
          type: string
          format: binary
          title: File
        log_stream_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Log Stream Id
        experiment_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Experiment Id
        limit:
          type: integer
          title: Limit
          default: 100
        starting_token:
          anyOf:
            - type: integer
            - type: 'null'
          title: Starting Token
        filters:
          anyOf:
            - type: string
            - type: 'null'
          title: Filters
          description: JSON string array of LogRecordsQueryFilter
        sort:
          anyOf:
            - type: string
            - type: 'null'
          title: Sort
          description: JSON string of LogRecordsSortClause
        required_scorers:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Required Scorers
        scoreable_node_types:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Scoreable Node Types
      type: object
      required:
        - file
      title: >-
        Body_validate_code_scorer_log_record_v2_scorers_code_validate_log_record_post
    ValidateScorerLogRecordResponse:
      properties:
        metrics_experiment_id:
          type: string
          format: uuid4
          title: Metrics Experiment Id
        project_id:
          type: string
          format: uuid4
          title: Project Id
      type: object
      required:
        - metrics_experiment_id
        - project_id
      title: ValidateScorerLogRecordResponse
      description: >-
        Response model for validating a scorer based on log records.


        Returns the uuid of the experiment created with the copied log records
        to store the metric testing results.

        Also returns the project_id so callers can poll
        /projects/{project_id}/traces/search.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````